package net.knarcraft.permissionsigns.command;

import net.knarcraft.knarlib.formatting.StringFormatter;
import net.knarcraft.permissionsigns.PermissionSigns;
import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

/**
 * A command for getting information about the plugin
 */
public class AboutCommand implements CommandExecutor {

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label,
                             @NotNull String[] args) {
        StringFormatter stringFormatter = PermissionSigns.getInstance().stringFormatter();
        stringFormatter.displaySuccessMessage(sender, "Permission Signs plugin created by " + ChatColor.GOLD +
                "EpicKnarvik97");
        stringFormatter.displaySuccessMessage(sender, "Plugin version: " +
                PermissionSigns.getInstance().getPluginVersion());
        return true;
    }

}
